Bug 987132 - (php-ZendFramework2) Review Request: php-ZendFramework2 - Zend Framework 2
Review Request: php-ZendFramework2 - Zend Framework 2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 14:59 EDT by Shawn Iwinski
Modified: 2013-11-30 21:49 EST (History)
4 users (show)

See Also:
Fixed In Version: php-ZendFramework2-2.2.5-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 22:44:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Shawn Iwinski 2013-07-22 14:59:18 EDT
Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-ZendFramework2.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-ZendFramework2-2.2.1-1.fc19.src.rpm

Description:
Zend Framework 2 is an open source framework for developing web applications
and services using PHP 5.3+. Zend Framework 2 uses 100% object-oriented code
and utilizes most of the new features of PHP 5.3, namely namespaces, late
static binding, lambda functions and closures.

Zend Framework 2 evolved from Zend Framework 1, a successful PHP framework
with over 15 million downloads.


Fedora Account System Username: siwinski
Comment 1 Gwyn Ciesla 2013-09-12 09:21:45 EDT
Firt, this is 2.2.1, 2.2.4 is out.

- rpmlint checks return: 

php-ZendFramework2.spec:10: W: macro-in-comment %{version}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

php-ZendFramework2.spec:10: W: macro-in-comment %{version}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

php-ZendFramework2.spec:11: W: macro-in-comment %{version}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

php-ZendFramework2.spec:11: W: macro-in-comment %{version}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

Fix.

Lots of spelling and nodocs errors, ignorable.

- package meets naming guidelines
- package meets packaging guidelines
- license ( BSD ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

So macros, and most current release, and that's it.  Pretty good otherwise.
Comment 2 Shawn Iwinski 2013-09-14 09:58:11 EDT
(In reply to Jon Ciesla from comment #1)
> So macros, and most current release, and that's it.  Pretty good otherwise.

Updated per review:

Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-ZendFramework2.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-ZendFramework2-2.2.4-1.fc19.src.rpm
Comment 3 Gwyn Ciesla 2013-09-16 09:52:55 EDT
Awesome.  APPROVED.
Comment 4 Shawn Iwinski 2013-09-25 09:40:00 EDT
THANKS for the review!


New Package SCM Request
=======================
Package Name: php-ZendFramework2
Short Description: Zend Framework 2
Owners: siwinski
Branches: f19 f20 el6
InitialCC:
Comment 5 Gwyn Ciesla 2013-09-25 09:43:21 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-09-28 12:08:16 EDT
php-ZendFramework2-2.2.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-ZendFramework2-2.2.4-1.fc20
Comment 7 Fedora Update System 2013-09-28 12:08:27 EDT
php-ZendFramework2-2.2.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-ZendFramework2-2.2.4-1.fc19
Comment 8 Fedora Update System 2013-09-28 12:08:37 EDT
php-ZendFramework2-2.2.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-ZendFramework2-2.2.4-1.el6
Comment 9 Fedora Update System 2013-09-28 14:41:06 EDT
php-ZendFramework2-2.2.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 10 Fedora Update System 2013-10-22 01:08:05 EDT
php-ZendFramework2-2.2.4-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Shawn Iwinski 2013-11-10 15:36:42 EST
Package Change Request
======================
Package Name: php-ZendFramework2
New Branches: 
Owners: siwinski remi heffer
InitialCC:
Comment 12 Fedora Update System 2013-11-10 15:46:18 EST
php-ZendFramework2-2.2.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-ZendFramework2-2.2.5-1.fc20
Comment 13 Fedora Update System 2013-11-10 15:46:35 EST
php-ZendFramework2-2.2.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-ZendFramework2-2.2.5-1.el6
Comment 14 Fedora Update System 2013-11-10 15:46:49 EST
php-ZendFramework2-2.2.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-ZendFramework2-2.2.5-1.fc19
Comment 15 Gwyn Ciesla 2013-11-11 07:58:02 EST
Misformatted request, clearing flag.
Comment 16 Fedora Update System 2013-11-11 13:33:08 EST
php-ZendFramework2-2.2.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 17 Fedora Update System 2013-11-23 22:44:20 EST
php-ZendFramework2-2.2.5-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 18 Fedora Update System 2013-11-30 21:49:39 EST
php-ZendFramework2-2.2.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.